### About structr-core

The Java library structr-core is the core of the structr framework.
It encapsulates an embedded Neo4j database and provides means
to access and manipulate data in it.

It provides the following functionality:

- Service infrastructure (using the [command pattern](http://en.wikipedia.org/wiki/Command_pattern))
- Entity context to define domain model
- Automatic relationship handling with regard to cardinality
- Access control
- Search
- Validation
- Complex constraints
- Error handling
- Cascading delete
- Spatial functions (using [neo4-spatial](https://github.com/neo4j/spatial))
- Event cascades
- Cron jobs
- Asynchronous agents
- Administration/migration tools
- Counters

[structr-core on Github] (https://github.com/structr/structr/tree/master/structr/structr-core)





